<div class="tenant-roster">
  <app-content-banner [isDashboard]="false" pageName="Tenant Roster" [isTutorialRequired]="true"
    [TutorialPageName]="'tenant-roster'"></app-content-banner>
  <mat-card class="tr-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <div class="top-header-filter regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
        <div *ngIf="!is_SH_HP" class="pe-left-text">
          <mat-label style="font-weight: 600;">Agency: &nbsp;</mat-label>
          <mat-form-field *ngIf="!isTAD" appearance="outline">
            <mat-select [(ngModel)]="selectedAgencyID">
              <mat-option (click)="onAgencySelected()" [value]="0">Select One</mat-option>
              <mat-option (click)="onAgencySelected()" *ngFor="let agency of agencyList" [value]="agency.agencyID">
                {{agency.agencyNo + ' - ' + agency.agencyName}}
              </mat-option>

            </mat-select>
          </mat-form-field>
          <mat-form-field *ngIf="isTAD && hpAgencyIDforTAD > 0 && hpAgencyNameforTAD !== ''" appearance="outline">
            <input matInput placeholder="{{hpAgencyNoforTAD + ' - ' + hpAgencyNameforTAD}}" disabled>
          </mat-form-field>
        </div>
        <div *ngIf="is_SH_HP" class="hp-left-text">
          <mat-label style="font-weight: 600;">Agency: &nbsp; </mat-label>
          {{is_SH_HP ? currentUser.agencyNo + ' - ' + currentUser.agencyName : ''}}
        </div>
        <div class="right-text">
          <mat-label style="font-weight: 600;">Site: &nbsp;</mat-label>
          <mat-form-field *ngIf="!isTAD" appearance="outline">
            <mat-select [(ngModel)]="selectedSiteID">
              <mat-option [value]="0">Select One</mat-option>
              <mat-option *ngFor="let site of siteList" [value]="site.siteID">
                {{site.siteNo + ' - ' + site.siteName}}
              </mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field *ngIf="isTAD && hpSiteIDforTAD > 0 && hpSiteNameforTAD !== ''" appearance="outline">
            <input matInput placeholder="{{hpSiteNoforTAD + ' - ' + hpSiteNameforTAD}}" disabled>
          </mat-form-field>
        </div>
        <div>
          <button (click)="onGo()" mat-raised-button color="primary">GO</button>
        </div>
      </div>
      <div fxLayout="row" class="banner-outline">
        <div class="stats"><span><b>Total Units: </b>{{totalUnits}}</span></div>
        <div class="stats"><span><b>Occupied: </b>{{occupied}}</span></div>
        <div class="stats"><span><b>Online: </b>{{online}}</span></div>
        <div class="stats"><span><b>Offline: </b>{{offline}}</span></div>
        <div class="stats"><span><b>Pending Move-Ins: </b>{{moveIns}}</span></div>
        <div class="stats"><span><b>Pending Move-Outs: </b>{{moveOuts}}</span></div>
      </div>
      <div *ngIf="isTAD && tadValidationMsg !== ''" fxLayout="column" class="banner-outline tad-validations">
        <span [innerHTML]="tadValidationMsg"></span>
      </div>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
        <mat-tab>
          <ng-template matTabLabel>
            <span>My Tenants</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <!-- <span class="video-tutorial">
                          <app-tutorial pageName="tenant-roster"></app-tutorial>
                        </span> -->
                        <mat-icon (click)="refreshAgGrid('d')" color="primary" matTooltip="Reset the filters">
                          settings_backup_restore
                        </mat-icon>
                        <mat-icon (click)="onBtExport('d')" color="primary" matTooltip="Export to Excel">archive
                        </mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular #myTenantsGrid id="myTenantsGrid" style="width: 100%"
                      class="ag-theme-balham my-grid" [columnDefs]="myTenantsColumnDefs" [defaultColDef]="defaultColDef"
                      [rowData]="myTenantsRowData" [context]="context" [animateRows]="true"
                      [gridOptions]="myTenantsGridOptions" [pagination]="true" [paginationPageSize]="10"
                      [frameworkComponents]="frameworkComponents" (gridReady)="onMyTenantsGridReady($event)"
                      [overlayNoRowsTemplate]="mOverlayNoRowsTemplate">
                    </ag-grid-angular>
                    <div class="foot-notes"> <span class="color-grade"></span>Assign Tenant to Unit</div>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Transmitted</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <mat-icon (click)="refreshAgGrid('t')" color="primary" matTooltip="Reset the filters">refresh
                        </mat-icon>
                        <mat-icon (click)="onBtExport('t')" color="primary" matTooltip="Export to Excel">save</mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular #transmittedAgGrid id="transmittedGrid" style="width: 100%"
                      class="ag-theme-balham my-grid" [columnDefs]="transmittedColumnDefs"
                      [defaultColDef]="defaultColDef" [rowData]="transmittedRowData" [context]="context"
                      [animateRows]="true" [gridOptions]="transmittedGridOptions"
                      [pagination]="true" [paginationPageSize]="10" [frameworkComponents]="frameworkComponents"
                      (gridReady)="onTransmittedGridReady($event)" [overlayLoadingTemplate]="tOverlayLoadingTemplate"
                      [overlayNoRowsTemplate]="tOverlayNoRowsTemplate">
                    </ag-grid-angular>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
</div>
